## libzeemote 1.0.4-maemo1

=== lib/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of libzeemote.
#
# libzeemote is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# libzeemote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with libzeemote.  If not, see <http://www.gnu.org/licenses/>.
#

MAJOR = 1
MINOR = 0

LIB = libzeemote
STLIB = $(LIB).a
SHLIB = $(LIB).so
HDRDIR = /usr/include
LIBDIR = /usr/lib

CFLAGS = -O2 -c -Wall -I../include
OBJS = zeemote.o

all: static shared

.c.o:
	$(CC) $(INCS) $(CFLAGS) -c -o$@ $<

static: $(STLIB)
shared: $(SHLIB).$(MAJOR).$(MINOR)

$(STLIB): $(OBJS)
	rm -f $(STLIB)	
	ar rcv $(STLIB) $(OBJS)
	-ranlib $(STLIB)

$(SHLIB).$(MAJOR).$(MINOR): $(OBJS)
	rm -f $(SHLIB)
	gcc -shared -Wl,-soname,$(SHLIB).$(MAJOR) -o $(SHLIB).$(MAJOR).$(MINOR) $(OBJS)
	rm -f $(SHLIB) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR) $(SHLIB)

zeemote.o: ../include/zeemote.h

install: $(STLIB) $(SHLIB).$(MAJOR).$(MINOR)
	install -d $(DESTDIR)$(LIBDIR)
	install $(STLIB) $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB)
	ln -s $(SHLIB).$(MAJOR) $(DESTDIR)$(LIBDIR)/$(SHLIB)
	rm -f $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	ln -s $(SHLIB).$(MAJOR).$(MINOR) $(DESTDIR)$(LIBDIR)/$(SHLIB).$(MAJOR)
	install -d $(DESTDIR)$(HDRDIR)
	install ../include/zeemote.h $(DESTDIR)$(HDRDIR)

clean:
	rm -f *.[oa] *~ $(SHLIB) $(STLIB)

=== debian/changelog ===
libzeemote (1.0.4-maemo1) unstable; urgency=low

  *  Support for arbitrary axes and buttons

 -- Till Harbaum <till@harbaum.org>  Thu, 07 May 2009 18:09:02 +0200

libzeemote (1.0.3-maemo1) unstable; urgency=low

  *  Fixed signed/unsigned problem on arm

 -- Till Harbaum <till@harbaum.org>  Wed, 06 May 2009 17:29:20 +0200

libzeemote (1.0.2-maemo1) unstable; urgency=low

  * Performance optimizations

 -- Till Harbaum <Till@Harbaum.org>  Tue, 05 May 2009 21:02:22 +0200

libzeemote (1.0.1-maemo1) unstable; urgency=low

  * Small bug fixes
  * Fremantle compatibility

 -- Till Harbaum <Till@harbaum.org>  Tue, 05 May 2009 18:48:24 +0200

libzeemote (1.0-maemo1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Mon, 4 May 2007 19:35:42 +0100

## libzeemote 1.0.5-maemo1

=== Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of libzeemote.
#
# libzeemote is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# libzeemote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with libzeemote.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd lib && make
	cd test && make

install:
	cd lib && make install
	cd test && make install

clean:
	cd lib && make clean
	cd test && make clean

=== test/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of libzeemote.
#
# libzeemote is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# libzeemote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with libzeemote.  If not, see <http://www.gnu.org/licenses/>.
#

CFLAGS = -I../include
LDFLAGS = -Wall -L../lib -lzeemote -lbluetooth -pthread

zeemote_test: zeemote_test.c ../include/zeemote.h ../lib/zeemote.c
	gcc $(CFLAGS) -o $@ zeemote_test.c $(LDFLAGS)

install: zeemote_test
	install -d $(DESTDIR)/usr/bin
	install zeemote_test $(DESTDIR)/usr/bin

clean:
	rm -f zeemote_test *~ *.bak

=== debian/changelog ===
libzeemote (1.0.5-maemo1) unstable; urgency=low

  * Allow graceful exit even while still connecting

 -- Till Harbaum <till@harbaum.org>  Mon, 11 May 2009 18:38:24 +0200

## libzeemote 1.0.6-maemo1

=== debian/changelog ===
libzeemote (1.0.6-maemo1) unstable; urgency=low

  * Applied patch for blocking IO (by Ruediger Gad <r.c.g@gmx.de>)

 -- Till Harbaum <till@harbaum.org>  Thu, 29 Apr 2010 20:29:34 +0200

=== debian/control ===
Source: libzeemote
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5), libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2
Section: libs

Package: libzeemote
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to access zeemote js1 joystick
 This library is required to access the zeemote js1
 bluetooth joystick from user space.

Package: libzeemote-dev
Section: libdevel
Architecture: any
Depends: libzeemote (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Development files to access zeemote js1 joystick
 These files are required to develop software accessing the 
 zeemote j1 bluetooth joystick from user space.
